Bug 733189 - kernel panic-boot rhel3.9(x86_64) host with >=4GB memory
Summary: kernel panic-boot rhel3.9(x86_64) host with >=4GB memory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.9
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 05:19 UTC by FuXiangChun
Modified: 2012-06-20 13:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:31:59 UTC


Attachments (Terms of Use)
target system sosreport (1.12 MB, application/x-xz)
2011-08-29 02:51 UTC, FuXiangChun
no flags Details

Description FuXiangChun 2011-08-25 05:19:23 UTC
Description of problem:
boot rhel3.9 host with >=4GB memory, display below kernel panic info:
Kernel panic: pci_map_single: high address but no IOMMU.

boot rhel3.9 host with <4GB memory, host boot successfully.


Version-Release number of selected component (if applicable):
host kernel:2.4.21-50.EL

How reproducible:
100%

Steps to Reproduce:
1. install rhel3.9(x86_64) host on AMD platform and physical memory >4GB 
2. boot host after installed.
3.
  
Actual results:
kernel panic

Expected results:

boot successfully
Additional info:
if boot rhel3.9 i386 with >=4GB, it work well.

Comment 1 Prarit Bhargava 2011-08-26 15:35:47 UTC
1.  Please attach an sosreport from the target system.

2.  Please verify the system is supported.

P.

Comment 2 FuXiangChun 2011-08-29 02:51:27 UTC
Created attachment 520276 [details]
target system sosreport

Comment 3 FuXiangChun 2011-08-29 02:53:01 UTC
2.   (In reply to comment #1)
> 1.  Please attach an sosreport from the target system.
> as when rhel3.9 boot it will kernel panic, so i can not execute sosreport shell command to obtain system information. i attach an sosreport of rhel6.1 on the same target system, that maybe be helpful for you.

2.  Please verify the system is supported.
  your mean is that hardware maybe not support rhel3.9 system,right? if so,can you tell me how to verify? i tried to use kvm to install rhel3.9 with >=4GB, it has the same issue.

Comment 4 Prarit Bhargava 2011-09-02 13:19:29 UTC
(In reply to comment #3)
> 2.   (In reply to comment #1)
> > 1.  Please attach an sosreport from the target system.
> > as when rhel3.9 boot it will kernel panic, so i can not execute sosreport shell command to obtain system information. i attach an sosreport of rhel6.1 on the same target system, that maybe be helpful for you.
> 
> 2.  Please verify the system is supported.
>   your mean is that hardware maybe not support rhel3.9 system,right? if so,can
> you tell me how to verify? i tried to use kvm to install rhel3.9 with >=4GB, it
> has the same issue.

Is the system listed under http://www.redhat.com/hardware (for RHEL3)?

P.

Comment 5 FuXiangChun 2011-09-05 02:10:08 UTC
No, i don't find RHEL3 under http://www.redhat.com/hardware

Comment 6 Prarit Bhargava 2011-09-07 20:49:40 UTC
(In reply to comment #5)
> No, i don't find RHEL3 under http://www.redhat.com/hardware

Then the system isn't supported for RHEL3.

P.

Comment 7 Jiri Pallich 2012-06-20 13:31:59 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.